Bug 179951 - science/hdf5: missing library for h5perf program
Summary: science/hdf5: missing library for h5perf program
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-25 10:30 UTC by John Marino
Modified: 2013-07-22 19:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-06-25 10:30:00 UTC
The h5perf program needs the libh5test.so.0 library which is not installed.  It's not on the plist and the makefile intentionally does not install it.

This was originally seen with pkg:
===>   Registering installation for hdf5-1.6.9_1
pkg-static: (hdf5-1.6.9_1) /usr/local/bin/h5perf - shared library libh5test.so.0 not found

Fix: 

Either don't install h5perf or the post-install target needs to install libh5test.so and libh5test.so.0.  The pkg-list needs to updated for that option as well.
How-To-Repeat: banshee-root# ldd /usr/local/bin/h5perf 
/usr/local/bin/h5perf:
	libh5test.so.0 => not found (0)
	libhdf5.so.0 => /usr/local/lib/libhdf5.so.0 (0x800815000)
	libz.so.3 => /usr/lib/libz.so.3 (0x800bdd000)
	libm.so.4 => /usr/lib/libm.so.4 (0x800df1000)
	libpthread.so.0 => /usr/lib/libpthread.so.0 (0x80101b000)
	libc.so.8 => /usr/lib/libc.so.8 (0x801232000)
Comment 1 Edwin Groothuis freebsd_committer 2013-06-25 10:30:07 UTC
Maintainer of science/hdf5,

Please note that PR ports/179951 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179951

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-06-25 10:30:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 John Marino freebsd_committer 2013-07-22 11:21:12 UTC
State Changed
From-To: feedback->open

maintainer timeout (~4 weeks)
Comment 4 John Marino freebsd_committer 2013-07-22 11:21:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marino

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-07-22 19:17:48 UTC
Author: marino
Date: Mon Jul 22 18:17:31 2013
New Revision: 323491
URL: http://svnweb.freebsd.org/changeset/ports/323491

Log:
  science/hdf5: Remove h5perf that is missing shared library
  
  The h5perf program will not run because it is linked to libh5test.so.0
  which is not installed.  Rather than install this shared library, a patch
  was added to prohibit h5perf from installing.
  
  PR:		ports/179951
  Approved by:	bapt (mentor), maintainer timeout (~4 weeks)

Added:
  head/science/hdf5/files/patch-Makefile.in   (contents, props changed)
Modified:
  head/science/hdf5/Makefile
  head/science/hdf5/pkg-plist

Modified: head/science/hdf5/Makefile
==============================================================================
--- head/science/hdf5/Makefile	Mon Jul 22 18:15:40 2013	(r323490)
+++ head/science/hdf5/Makefile	Mon Jul 22 18:17:31 2013	(r323491)
@@ -1,14 +1,9 @@
-# ex:ts=8
-# New ports collection makefile for:	HDF5
-# Date created:			Jul 7, 2002
-# Whom:				ijliao
-#
+# Created by: ijliao
 # $FreeBSD$
-#
 
 PORTNAME=	hdf5
 PORTVERSION=	1.6.9
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	science archivers graphics
 MASTER_SITES=	ftp://ftp.hdfgroup.org/HDF5/current16/src/ \
 		ftp://ftp.hdfgroup.org/HDF5/prev-releases/ \

Added: head/science/hdf5/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/science/hdf5/files/patch-Makefile.in	Mon Jul 22 18:17:31 2013	(r323491)
@@ -0,0 +1,11 @@
+--- Makefile.in.orig	2009-05-01 02:23:03.000000000 +0000
++++ Makefile.in
+@@ -93,7 +93,7 @@ uninstall-all:
+ 	@$(MAKE) uninstall-doc
+ 
+ install:
+-	@@SETX@; for d in $(SUBDIRS) perform; do			      \
++	@@SETX@; for d in $(SUBDIRS); do			      \
+ 	   (cd $$d && $(MAKE) $@) || exit 1;				      \
+ 	done
+ 	@$(MAKE) install-examples

Modified: head/science/hdf5/pkg-plist
==============================================================================
--- head/science/hdf5/pkg-plist	Mon Jul 22 18:15:40 2013	(r323490)
+++ head/science/hdf5/pkg-plist	Mon Jul 22 18:17:31 2013	(r323491)
@@ -9,7 +9,6 @@ bin/h5dump
 bin/h5import
 bin/h5jam
 bin/h5ls
-bin/h5perf
 bin/h5redeploy
 bin/h5repack
 bin/h5repart
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 John Marino freebsd_committer 2013-07-22 19:24:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!